curl -X POST https://api.sandbox.primer.io/payment-status \
-H "X-API-KEY: <apiKey>" \
-H "Content-Type: application/json" \
-d '{}'
{
"eventType":"PAYMENT.STATUS",
"date":"2021-02-21T15:36:16.367687",
"notificationConfig":{
"id":"cc51f9f0-7e1c-492b-9d37-f83a818f6070",
"description":"Payment webhook"
},
"signedAt": "1689221338",
"version":"2.1",
"payment":{
"id":"DdRZ6YY0",
"date":"2022-01-01T12:12:12.000000",
"amount":3000,
"currencyCode":"GBP",
"customerId":"cust-123",
"orderId":"order-123",
"status":"SETTLED",
"paymentMethod":{
"paymentType":"FIRST_PAYMENT",
"paymentMethodToken":"-lcWjvBAAs2DnIRXwxNjUzNTYzNjIy",
"analyticsId":"LUi5pETUaVsdSEamK25L",
"paymentMethodType":"PAYMENT_CARD",
"paymentMethodData":{
"last4Digits":"1111",
"expirationMonth":"03",
"expirationYear":"2030",
"cardholderName":"ADYEN",
"network":"Visa",
"isNetworkTokenized":false,
"binData":{
"network":"VISA",
"issuerCountryCode":"US",
"issuerName":"JPMORGAN CHASE BANK, N.A.",
"regionalRestriction":"UNKNOWN",
"accountNumberType":"UNKNOWN",
"accountFundingType":"UNKNOWN",
"prepaidReloadableIndicator":"NOT_APPLICABLE",
"productUsageType":"UNKNOWN",
"productCode":"UNKNOWN",
"productName":"UNKNOWN"
}
},
"threeDSecureAuthentication":{
"responseCode":"NOT_PERFORMED"
}
},
"processor":{
"name":"STRIPE",
"processorMerchantId":"acct_1GORasdasqNWFwi8c",
"amountCaptured":3000,
"amountRefunded":0
},
"transactions":[
{
"date":"2022-05-26T11:14:11.946300",
"amount":3000,
"currencyCode":"GBP",
"transactionType":"SALE",
"processorTransactionId":"pi_3L3edsGZasdasdc1iget38p",
"processorName":"STRIPE",
"processorMerchantId":"acct_1GORasvasdNWFwi8c",
"processorStatus":"SETTLED"
}
]
}
}
Primer notifies you with a PAYMENT.STATUS webhook when a payment’s status has been updated. This is especially useful for asynchronous processor Connections, which do not respond with an upfront authorization.
The webhook body contains the full payment object.
curl -X POST https://api.sandbox.primer.io/payment-status \
-H "X-API-KEY: <apiKey>" \
-H "Content-Type: application/json" \
-d '{}'
{
"eventType":"PAYMENT.STATUS",
"date":"2021-02-21T15:36:16.367687",
"notificationConfig":{
"id":"cc51f9f0-7e1c-492b-9d37-f83a818f6070",
"description":"Payment webhook"
},
"signedAt": "1689221338",
"version":"2.1",
"payment":{
"id":"DdRZ6YY0",
"date":"2022-01-01T12:12:12.000000",
"amount":3000,
"currencyCode":"GBP",
"customerId":"cust-123",
"orderId":"order-123",
"status":"SETTLED",
"paymentMethod":{
"paymentType":"FIRST_PAYMENT",
"paymentMethodToken":"-lcWjvBAAs2DnIRXwxNjUzNTYzNjIy",
"analyticsId":"LUi5pETUaVsdSEamK25L",
"paymentMethodType":"PAYMENT_CARD",
"paymentMethodData":{
"last4Digits":"1111",
"expirationMonth":"03",
"expirationYear":"2030",
"cardholderName":"ADYEN",
"network":"Visa",
"isNetworkTokenized":false,
"binData":{
"network":"VISA",
"issuerCountryCode":"US",
"issuerName":"JPMORGAN CHASE BANK, N.A.",
"regionalRestriction":"UNKNOWN",
"accountNumberType":"UNKNOWN",
"accountFundingType":"UNKNOWN",
"prepaidReloadableIndicator":"NOT_APPLICABLE",
"productUsageType":"UNKNOWN",
"productCode":"UNKNOWN",
"productName":"UNKNOWN"
}
},
"threeDSecureAuthentication":{
"responseCode":"NOT_PERFORMED"
}
},
"processor":{
"name":"STRIPE",
"processorMerchantId":"acct_1GORasdasqNWFwi8c",
"amountCaptured":3000,
"amountRefunded":0
},
"transactions":[
{
"date":"2022-05-26T11:14:11.946300",
"amount":3000,
"currencyCode":"GBP",
"transactionType":"SALE",
"processorTransactionId":"pi_3L3edsGZasdasdc1iget38p",
"processorName":"STRIPE",
"processorMerchantId":"acct_1GORasvasdNWFwi8c",
"processorStatus":"SETTLED"
}
]
}
}
curl -X POST https://api.sandbox.primer.io/payment-status \
-H "X-API-KEY: <apiKey>" \
-H "Content-Type: application/json" \
-d '{}'
{
"eventType":"PAYMENT.STATUS",
"date":"2021-02-21T15:36:16.367687",
"notificationConfig":{
"id":"cc51f9f0-7e1c-492b-9d37-f83a818f6070",
"description":"Payment webhook"
},
"signedAt": "1689221338",
"version":"2.1",
"payment":{
"id":"DdRZ6YY0",
"date":"2022-01-01T12:12:12.000000",
"amount":3000,
"currencyCode":"GBP",
"customerId":"cust-123",
"orderId":"order-123",
"status":"SETTLED",
"paymentMethod":{
"paymentType":"FIRST_PAYMENT",
"paymentMethodToken":"-lcWjvBAAs2DnIRXwxNjUzNTYzNjIy",
"analyticsId":"LUi5pETUaVsdSEamK25L",
"paymentMethodType":"PAYMENT_CARD",
"paymentMethodData":{
"last4Digits":"1111",
"expirationMonth":"03",
"expirationYear":"2030",
"cardholderName":"ADYEN",
"network":"Visa",
"isNetworkTokenized":false,
"binData":{
"network":"VISA",
"issuerCountryCode":"US",
"issuerName":"JPMORGAN CHASE BANK, N.A.",
"regionalRestriction":"UNKNOWN",
"accountNumberType":"UNKNOWN",
"accountFundingType":"UNKNOWN",
"prepaidReloadableIndicator":"NOT_APPLICABLE",
"productUsageType":"UNKNOWN",
"productCode":"UNKNOWN",
"productName":"UNKNOWN"
}
},
"threeDSecureAuthentication":{
"responseCode":"NOT_PERFORMED"
}
},
"processor":{
"name":"STRIPE",
"processorMerchantId":"acct_1GORasdasqNWFwi8c",
"amountCaptured":3000,
"amountRefunded":0
},
"transactions":[
{
"date":"2022-05-26T11:14:11.946300",
"amount":3000,
"currencyCode":"GBP",
"transactionType":"SALE",
"processorTransactionId":"pi_3L3edsGZasdasdc1iget38p",
"processorName":"STRIPE",
"processorMerchantId":"acct_1GORasvasdNWFwi8c",
"processorStatus":"SETTLED"
}
]
}
}
The type of the webhook raised. PAYMENT.STATUS in this case.
The date-time that the webhook was sent.
The Unix timestamp at which the webhook payload was signed.
"1689221338"
The notification configuration details.
Show child attributes
Show child attributes
The payload version
"2.1"
Return a 200 status to indicate that the data was received successfully